/*
 * The Legend Lives!
 *
 * Executable and source code are
 *
 *                 Copyright (C) 1995 by David M. Baggett
 *
 * All rights reserved, except as follows:
 * 
 *    Electronic redistribution is permitted, but only if not for profit.
 *    Specifically, you may provide copies in electronic form ONLY if you
 *    do not charge anything beyond the distribution media cost AND if you
 *    do not alter the source code in any way.
 *
 * Note that the author reserves all rights to derivative works and
 * products.  This includes ports and enhanced versions.  The author will
 * typically grant permission for these when asked, but this will be
 * dealt with on a case by case basis only.
 *
 */

replace intro: function
{
	introbj.ldesc;
}
introbj: object
	ldesc = {
		"\n\b\n\b\n\b";

		I(); "A pattern of bits shifts inside your computer.
		New information scrolls up the screen."; P();

		I(); "It is not good."; P();

		I(); "As the impact of the discovery settles on your
		psyche, you recall the preceding events: your recent
		enrollment at Akmi Yooniversity; your serendipitous
		discovery of the joys of Classical Literature -- a nice
		change of pace from computer hacking; your
		compuarchaeological discovery of the long-forgotten
		treasures that will make your thesis one of the most
		important this decade. But now that's all a bit moot,
		isn't it?"; P();

		I(); "How ironic: You were stunned at how *real* the
		primitive Unnkulian stories seemed.  Now you know why.";
		
		"\b"; version.sdesc; "\b";
	}
;

/*
 *	 The "version" object defines, via its "sdesc" property, the name and
 *	 version number of the game.  Change this to a suitable name for your
 *	 game.
 */
replace version: object
 	name = {
		"\(The Legend Lives!\)\n
		 An Unnkulian Universe Unventure\n
		 Opus 2, Version 1.1";

#ifdef	DEMO
		" \(DEMO\)";
#endif
		
	}

	sdesc = {
		if (not global.ingame) {

		// real game banner

		self.name; "\n";
		"Copyright (C) 1994, 1995 David M.\ Baggett\n
		All rights reserved. Distributed by \(ADVENTIONS\).\n
		Developed with TADS, the Text Adventure Development System.\n";
		classlibrary.info; "\b";

		"Difficulty Rating (without hints): Legendary (10 out of 10)\b
		Recommended for mature readers only.\b";

		"***"; P();

#ifdef DEMO

		I(); "NOTE: This is a playable demo -- it includes a
		fair amount of the full game, but not all of it.
		If you want the complete version, contact \(ADVENTIONS\)
		at any of the addresses below."; P();

#else	/* DEMO */

		I(); "This game is free.  We encourage you to
		distribute it, but you may not charge any money 
		for it beyond the cost of the media it is
		stored on.";  P();

#endif

	        I(); "\(ADVENTIONS\) also has many other text
	        adventure games available, including the popular games
	        in the ongoing Unnkulian saga.  Send a self-addressed,
	        stamped envelope to us for a current catalog of our
	        releases, or drop us email online:\b

		\tADVENTIONS\n
		\tPO Box 851\n
		\tColumbia, MD 21044\b

		\tCompuserve:\t76440,2671\n
		\tInternet:\tdmb@ai.mit.edu\b

		or on the High Energy BBS:\b

		\tHigh Energy BBS (415) 493-2420 (8N1)"; P();

		"***"; P();

		I(); "For instructions, type \"instructions\"."; P();

		I(); "Read footnotes "; note(self); " with the note command;
		e.g., type \"note 1.\""; P();

		I(); "Use the adaptive hint system by typing \"hint\".
		To toggle hint encrypting, type \"encrypt\".  The
		encryption is a simple letter substitution cipher.
		Use this option to keep yourself from using too many
		hints."; P();

		I(); "Type \"credits\" for more information about the game."; P();

		"***"; P();

		}

		else {

		// Banner for game-within-a-game

		"\n\b
		\(Unnkulian Unventure III: The Kuulest Quest\)\n
		by D.\ M.\ Bleary\n
		*** Work In Progress: DO NOT DISTRIBUTE ***\n
		Rating:\ ???\n
		Developed with TOADS, the Text-Oriented Adventure Development System.\n
		(TOADS is a product of \(Valmaco\).  \(Valmaco\): Better
		living through mysterious forces that mere mortals could
		not hope to comprehend.)";

		}
	}

	footnote = {
		"Footnote markers are numbers enclosed in square brackets.";
	}	
;
